iTunes Version When Jailbreaking

Discussion in 'iPod touch Firmware 3.0 Jailbreak' started by Sharpshooter94, Jun 17, 2009.

  1. Sharpshooter94

    Sharpshooter94 New Member

    Joined:
    May 15, 2009
    Messages:
    40
    Likes Received:
    0
    Device:
    iPod touch
    When the 3.0 jailbreak comes out is iTunes 8.2 compatible?
  2. Axis

    Axis Super Moderator Staff Member

    Joined:
    Dec 2, 2007
    Messages:
    6,288
    Likes Received:
    133
    Device:
    iPhone 4S (White)
    You need iTunes 8.2 to use 3.0. And yes.

Share This Page